<?php

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl;
	
	// Start the main poll form.
	echo '
	<div id="vote_log">
		<div class="cat_bar">
			<h3 class="catbg">
				<span class="ie6_header floatleft">
					<img src="',
					$settings['images_url'], '/topic/',
					$context['poll']['is_locked'] ? 'normal_poll_locked' : 'normal_poll', '.gif" alt="" class="icon" />',
					$context['page_title'], '
				</span>			
			</h3>
		</div>
		<span class="upperframe"><span></span></span>
		<div class="roundframe">';
			
	if (!empty($context['poll_error']['messages']))
		echo '
			<div class="errorbox">
				<dl class="poll_error">
					<dt>
						', empty($context['poll_error']['messages']) ? '' : implode('<br />', $context['poll_error']['messages']), '
					</dt>
				</dl>
			</div>';
			
	// we need to be able to easily lookup which label and description to display when warning the user about visibility
	$vvisTxt = array(
		'poll_vv_opt_private',
		'poll_vv_opt_discreet',
		'poll_vv_opt_public'
	);

	echo '
			<em>', sprintf($txt['poll_vv_vlog_for'], $txt[$vvisTxt[$context['poll']['vvis']]]), '</em> &nbsp; <b>', $context['poll']['question'], '</b>
			<div class="votelog_top"><span></span></div>
			<table id="voteLogTable" class="votelog">
				<thead>
				<tr>
					<th style="text-align:left;   halign:left;   width:17em;">', $txt['poll_vv_vlog_th_tstamp'], '</th>
					<th style="text-align:left;   halign:left;   width:17em;">', $txt['poll_vv_vlog_th_member'], '</th>
					<th style="text-align:center; halign:center; width:5em;">', $txt['poll_vv_vlog_th_choicenum'], '</th>
					<th style="text-align:left;   halign:left;   width:auto;">', $txt['poll_vv_vlog_th_choicelbl'], ' &nbsp; / &nbsp; ', $txt['poll_vv_vlog_th_comment'], '</th>
				</tr>
				</thead>
				<tbody>';
				
		foreach ($context['votelog'] as $votelog) {
			$memberurl = $scripturl . '?action=profile;u=' . $votelog['member_id'];
			$commentpart = empty($votelog['comments'])?'':' <br /> <em>' . $votelog['comments'] . '</em>';
			echo'
				<tr>
					<td style="text-align:left;   halign:left;">', empty($votelog['timestamp'])?'<em>not available</em>':timeformat($votelog['timestamp'],false), '</td>
					<td style="text-align:left;   halign:left;"><a href="', $memberurl, '" title="', $txt['profile_of'], ' ', $votelog['member_name'], '">', $votelog['member_name'], '</a></td>
					<td style="text-align:center; halign:center;">', 1+$votelog['choice_num'], '</td>
					<td style="text-align:left;   halign:left;">
					<b>', $votelog['choice_lbl'], '</b>', $commentpart, '
					</td>
				</tr>';
		}
		
		echo '
				</tbody> 
			</table>
			<script language="javascript" type="text/javascript"><!-- // --><![CDATA[
				$(document).ready(function() { 
					$("#voteLogTable").tablesorter( {sortList: [[0,0], [2,0]]} ); 
				});
			// ]]></script>
			<div class="votelog_bot"><span></span></div>
		</div>
		<span class="lowerframe"><span></span></span>
	</div>	
	<br class="clear" />';
}

?>
